EmptyValueException Class Reference

Empty value exception (e.g. NULL pointer, empty string). More...

`#include <Exceptions.h>`

Inheritance diagram for EmptyValueException:
Collaboration diagram for EmptyValueException:

## Public Member Functions

| EmptyValueException (const std::string &message=std::string(), const std::string &location=std::string())
| ~EmptyValueException () throw ()
Public Member Functions inherited from RcsbException
| RcsbException (const std::string &message=std::string(), const std::string &location=std::string())
| ~RcsbException () throw ()
void | AppendMessage (const std::string &message=std::string(), const std::string &location=std::string())
const char * | what () const throw ()

## Additional Inherited Members

Protected Attributes inherited from RcsbException
std::string | _message

## Detailed Description

Empty value exception (e.g. NULL pointer, empty string).

## Constructor & Destructor Documentation

## EmptyValueException()

EmptyValueException::EmptyValueException | ( | const std::string & | message = std::string(),
|  | const std::string & | location = std::string() )

## ~EmptyValueException()

EmptyValueException::~EmptyValueException | ( |  | ) |
throw | ( | ) |  |  |

The documentation for this class was generated from the following file:

- rcsb/Exceptions.h